

%define kf5package_major 5
%define libkf5package %mklibname kf5package %{kf5package_major}
%define kf5package_devel %mklibname kf5package -d

Summary:        KDE Frameworks 5 Tier 2 library to load and install packages as plugins
Name:           kpackage
Version: 	5.44.0
Release:        %mkrel 1
License:        GPLv2+
Group:          Graphical desktop/KDE5
Source0:        http://fr2.rpmfind.net/linux/KDE/unstable/framework/%{name}-%{version}.tar.xz
URL:            https://www.kde.org/
#general buildrequires
#------------------------------------------------------
BuildRequires: %{_lib}qt5base5-devel
BuildRequires: %{_lib}qt5core-devel
BuildRequires: %{_lib}qt5dbus-devel
BuildRequires: %{_lib}qt5gui-devel
BuildRequires: %{_lib}qt5help-devel
BuildRequires: %{_lib}qt5imageformats-devel
BuildRequires: %{_lib}qt5network-devel
BuildRequires: %{_lib}qt5qml-devel
BuildRequires: %{_lib}qt5quick-devel
BuildRequires: %{_lib}qt5bluetooth-devel
BuildRequires: %{_lib}qt5bootstrap-devel
BuildRequires: %{_lib}qt5clucene-devel
BuildRequires: %{_lib}qt5concurrent-devel
BuildRequires: %{_lib}qt5designer-devel
BuildRequires: %{_lib}qt5egldeviceintegration-devel
BuildRequires: %{_lib}qt5labstemplates-devel
BuildRequires: %{_lib}qt5location-devel
BuildRequires: %{_lib}qt5multimedia-devel
BuildRequires: %{_lib}qt5multimediaquick_p-devel
BuildRequires: %{_lib}qt5multimediawidgets-devel
BuildRequires: %{_lib}qt5nfc-devel
BuildRequires: %{_lib}qt5opengl-devel
BuildRequires: %{_lib}qt5platformsupport-devel
BuildRequires: %{_lib}qt5positioning-devel
BuildRequires: %{_lib}qt5printsupport-devel
BuildRequires: %{_lib}qt5qgsttools_p-devel
BuildRequires: %{_lib}qt5quickparticles-devel
BuildRequires: %{_lib}qt5quicktest-devel
BuildRequires: %{_lib}qt5quickwidgets-devel
BuildRequires: %{_lib}qt5script-devel
BuildRequires: %{_lib}qt5scripttools-devel
BuildRequires: %{_lib}qt5sensors-devel
BuildRequires: %{_lib}qt5serialport-devel
BuildRequires: %{_lib}qt5sql-devel
BuildRequires: %{_lib}qt5svg-devel
BuildRequires: %{_lib}qt5test-devel
BuildRequires: %{_lib}qt5waylandclient-devel
BuildRequires: %{_lib}qt5webchannel-devel
BuildRequires:  cmake
BuildRequires:  kf5-macros
#------------------------------------------------------
BuildRequires:  ki18n-devel >= 5.20.0
BuildRequires:  kconfig-devel >= 5.20.0
BuildRequires:  karchive-devel >= 5.20.0
BuildRequires:  kdoctools-devel >= 5.20.0
BuildRequires:  kcoreaddons-devel >= 5.20.0

BuildRequires:	libxml2-utils
BuildRequires:	docbook-dtds
BuildRequires:	docbook-style-xsl

%description
KDE Frameworks 5 Tier 2 library to load and install non-binary packages as
if they were plugins.

%files -f lib%{name}5.lang
%_kf5_bindir/kpackagetool5
%_kf5_datadir/kservicetypes5/kpackage-packagestructure.desktop
%_kf5_mandir/*/man?/*
%_kf5_mandir/man1/kpackagetool5.1.*
#--------------------------------------------------------------------
%_kf5_libdir/libKF5Package.so.%{kf5package_major}*
#--------------------------------------------------------------------
%_kf5_datadir/kservicetypes5/kpackage-generic.desktop
%_kf5_datadir/kservicetypes5/kpackage-genericqml.desktop
/etc/xdg/kpackage.categories

%package -n %kf5package_devel

Summary:        Devel stuff for %name
Group:          Development/Libraries
Requires:       %name = %version-%release
Provides:       %name-devel = %{version}-%{release}

%description -n %kf5package_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kf5package_devel
%_kf5_includedir/KPackage
%_kf5_includedir/kpackage_version.h
%_kf5_libdir/cmake/KF5Package
%_kf5_libdir/*.so

#--------------------------------------------------------------------

%prep
%setup -q


%build
%cmake_kf5 -DSYSCONF_INSTALL_DIR="%_sysconfdir"
%make

%install
rm -rf %buildroot
%makeinstall_std -C build
%find_lang lib%{name}5



%changelog
* Sun Mar 11 2018 bb2 <bb2> - 5.44.0-1pclos2018
- new version

* Mon Feb 12 2018 bb2 <bb2> - 5.43.0-1pclos2018
- new version

* Mon Jan 15 2018 bb2 <bb2> - 5.42.0-1pclos2018
- new version

* Sun Dec 10 2017 bb2 <bb2> - 5.41.0-1pclos2017
- new version

* Sat Dec 09 2017 bb2 <bb2> - 5.40.0-2pclos2017
- rebuild against updates

* Sat Nov 11 2017 bb2 <bb2> - 5.40.0-1pclos2017
- new version

* Sat Oct 14 2017 bb2 <bb2> - 5.39.0-1pclos2017
- new version

* Sat Oct 07 2017 bb2 <bb2> - 5.38.0-1pclos2017
- new version

* Sun Aug 13 2017 bb2 <bb2> - 5.37.0-1pclos2017
- new version

* Sat Jul 08 2017 bb2 <bb2> - 5.36.0-1pclos2017
- new version

* Sat Jun 10 2017 bb2 <bb2> - 5.35.0-1pclos2017
- new version

* Tue Jun 06 2017 bb2 <bb2> - 5.34.0-2pclos2017
- rebuilt

* Sun May 14 2017 bb2 <bb2> - 5.34.0-1pclos2017
- new version

* Sun Apr 09 2017 bb2 <bb2> - 5.33.0-1pclos2017
- new version

* Fri Mar 10 2017 bb2 <bb2> - 5.32.0-1pclos2017
- new version

* Sun Feb 12 2017 tex - 5.31.0-1pclos2017
- new version

* Mon Jan 16 2017 bb <bb> - 5.30.0-1pclos2017
- new version

* Mon Dec 12 2016 bb <bb> 5.29.0-1pclos2017
- update
